Package docking.actions.dialog

# Class ActionChooserDialog

java.lang.Object
docking.DialogComponentProvider
docking.actions.dialog.ActionChooserDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class ActionChooserDialog extends DialogComponentProvider
Dialog for displaying and invoking docking actions. The dialog will display a mix of local and global actions that varies depending on its current `ActionDisplayLevel`.

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionChooserDialog(ActionsModel model)`
  Constructor given an ActionsModel.
  `ActionChooserDialog(Tool tool, ComponentProvider provider, ActionContext context)`
  Constructor for when a `ComponentProvider` has focus
  `ActionChooserDialog(Tool tool, DialogComponentProvider dialog, ActionContext context)`
  Constructor for when a `DialogComponentProvider` has focus

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dialogShown()`
  Override this method if you want to do something when the dialog is made visible
  `void`
  `dispose()`
  Disposes this dialog.
  `ActionDisplayLevel`
  `getActionDisplayLevel()`
  Returns the current `ActionDisplayLevel`
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `void`
  `setActionDisplayLevel(ActionDisplayLevel level)`
  Sets the `ActionDisplayLevel` for the dialog which determines which actions to display

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, createSharedActions, dialogClosed, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionChooserDialog

    public ActionChooserDialog(ActionsModel model)
    Constructor given an ActionsModel.
    Parameters:
      `model` - the ActionsModel to use in the dialog

  - ### ActionChooserDialog

    public ActionChooserDialog(Tool tool, ComponentProvider provider, ActionContext context)
    Constructor for when a `ComponentProvider` has focus
    Parameters:
      `tool` - the active tool
      `provider` - the ComponentProvider that has focus
      `context` - the ActionContext that is active and will be used to invoke the chosen action

  - ### ActionChooserDialog

    public ActionChooserDialog(Tool tool, DialogComponentProvider dialog, ActionContext context)
    Constructor for when a `DialogComponentProvider` has focus
    Parameters:
      `tool` - the active tool
      `dialog` - the DialogComponentProvider that has focus
      `context` - the ActionContext that is active and will be used to invoke the chosen action

- ## Method Details

  - ### dialogShown

    protected void dialogShown()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made visible
    Overrides:
      `dialogShown` in class `DialogComponentProvider`

  - ### getActionDisplayLevel

    public ActionDisplayLevel getActionDisplayLevel()
    Returns the current `ActionDisplayLevel`
    Returns:
      the current action display level

  - ### setActionDisplayLevel

    public void setActionDisplayLevel(ActionDisplayLevel level)
    Sets the `ActionDisplayLevel` for the dialog which determines which actions to display
    Parameters:
      `level` - the action display level to use.

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`

  - ### dispose

    public void dispose()
    Description copied from class: `DialogComponentProvider`
    Disposes this dialog. Only call this when the dialog is no longer used. Calling this method will close the dialog if it is open.
    Overrides:
      `dispose` in class `DialogComponentProvider`